import type { BaseStyleProps, DisplayObjectConfig } from '@antv/g-lite';
import { CustomElement } from '@antv/g-lite';
export interface SectorStyleProps extends BaseStyleProps {
    startAngle: number;
    endAngle: number;
    sr0: number;
    sr: number;
    sradius: number;
    sx: number;
    sy: number;
}
export declare class Sector extends CustomElement<SectorStyleProps> {
    static tag: string;
    private path;
    constructor(config: DisplayObjectConfig<SectorStyleProps>);
    attributeChangedCallback<Key extends keyof SectorStyleProps>(name: Key, oldValue: SectorStyleProps[Key], newValue: SectorStyleProps[Key]): void;
    private updatePath;
    private createPath;
}
